org.apache.lucene.search.similarities

## Class IndependenceSaturated

- java.lang.Object
- - org.apache.lucene.search.similarities.Independence
  - - org.apache.lucene.search.similarities.IndependenceSaturated

-     public class IndependenceSaturated
      extends Independence

  Saturated measure of distance from independence

  Described as: "for tasks that require high recall against long queries"

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndependenceSaturated()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `score(float freq, float expected)` Computes distance from independence
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndependenceSaturated

          public IndependenceSaturated()

      Sole constructor.

  - ### Method Detail

    - #### score

          public float score(float freq,
                             float expected)

      Description copied from class: `Independence`
      Computes distance from independence
      Specified by:
        `score` in class `Independence`
      Parameters:
        `freq` - actual term frequency
        `expected` - expected term frequency

    - #### toString

          public String toString()

      Specified by:
        `toString` in class `Independence`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.